Loading...
Searching...
No Matches
sadump_header Struct Reference

Dump header. More...

## Data Fields

char | signature [8]
| Must be SADUMP_SIGNATURE.
uint32_t | header_version
| Dump header version.
uint32_t | _pad1
struct efi_time | timestamp
| Wall-clock time of the dump.
uint32_t | status
| Status.
uint32_t | compress
| Compression flags.
uint32_t | block_size
| Size of a block in bytes.
uint32_t | extra_hdr_size
| Size of host-dependent headers in blocks.
uint32_t | sub_hdr_size
| Size of arch-dependent headers in blocks.
uint32_t | bitmap_blocks
| Size of the memory bitmap in blocks.
uint32_t | dumpable_bitmap_blocks
| Size of the dumped memory bitmap in blocks.
uint32_t | max_mapnr
| Highest PFN number.
uint32_t | total_ram_blocks
| Size of RAM in blocks.
uint32_t | device_blocks
| Total number of blocks in the dump device.
uint32_t | written_blocks
| Number of blocks written to the dump device.
uint32_t | current_cpu
| CPU that handles the dump.
uint32_t | nr_cpus
| Total number of CPUs in the system.
uint32_t | _pad2
| Padding to a multiple of 64 bits.
uint64_t | max_mapnr_64
| 64-bit max_mapnr (header_version 1 and later).
uint64_t | total_ram_blocks_64
| 64-bit total_ram_blocks (header_version 1 and later).
uint64_t | device_blocks_64
| 64-bit device_blocks (header_version 1 and later).
uint64_t | written_blocks_64
| 64-bit written_blocks (header_version 1 and later).

## Detailed Description

Dump header.

## Field Documentation

## compress

uint32_t sadump_header::compress

Compression flags.

Undocumented.

## status

uint32_t sadump_header::status

Status.

Undocumented.

The documentation for this struct was generated from the following file:

- src/kdumpfile/sadump.c